Page MenuHomePhabricator

elementary: add test for Efl.Ui.Model_Average.
ClosedPublic

Authored by cedric on Jan 16 2019, 6:29 PM.

Diff Detail

Repository
rEFL core/efl
Branch
T7382-devs/cedric/homogeneous
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9167
cedric created this revision.Jan 16 2019, 6:29 PM
cedric requested review of this revision.Jan 16 2019, 6:29 PM
cedric updated this revision to Diff 18585.Jan 17 2019, 4:45 PM

Rebase.

cedric updated this revision to Diff 18776.Jan 23 2019, 2:45 PM

Rebase.

cedric updated this revision to Diff 18823.Jan 24 2019, 3:40 PM

Rebase.

cedric updated this revision to Diff 18906.Jan 25 2019, 3:04 PM

Rebase and rename.

SanghyeonLee requested changes to this revision.Jan 29 2019, 2:43 AM

please check the test again.
base_ints breaks in make check.

This revision now requires changes to proceed.Jan 29 2019, 2:43 AM

please check the test again.
base_ints breaks in make check.

Could you check with a clean build on your side? I am not seeing any issue here.

SanghyeonLee added a comment.EditedJan 30 2019, 2:54 AM
  CC       tests/elementary/tests_elementary_efl_ui_suite-efl_ui_suite.o
In file included from tests/elementary/efl_ui_suite.h:6:0,
                 from tests/elementary/efl_ui_suite.c:5:
../src/lib/elementary/Efl_Ui.h:195:3: warning: #warning Efl.Ui.Text is not available yet without Elementary.h [-Wcpp]
 # warning Efl.Ui.Text is not available yet without Elementary.h
   ^~~~~~~
In file included from tests/elementary/efl_ui_suite.h:6:0,
                 from tests/elementary/efl_ui_suite.c:5:
../src/lib/elementary/Efl_Ui.h:213:3: warning: #warning Efl.Ui.Multibutton is not available yet without Elementary.h [-Wcpp]
 # warning Efl.Ui.Multibutton is not available yet without Elementary.h
   ^~~~~~~
  CC       tests/elementary/tests_elementary_efl_ui_suite-efl_ui_model.o
In file included from tests/elementary/efl_ui_suite.h:6:0,
                 from tests/elementary/efl_ui_model.c:5:
../src/lib/elementary/Efl_Ui.h:195:3: warning: #warning Efl.Ui.Text is not available yet without Elementary.h [-Wcpp]
 # warning Efl.Ui.Text is not available yet without Elementary.h
   ^~~~~~~
In file included from tests/elementary/efl_ui_suite.h:6:0,
                 from tests/elementary/efl_ui_model.c:5:
../src/lib/elementary/Efl_Ui.h:213:3: warning: #warning Efl.Ui.Multibutton is not available yet without Elementary.h [-Wcpp]
 # warning Efl.Ui.Multibutton is not available yet without Elementary.h
   ^~~~~~~
tests/elementary/efl_ui_model.c:13:4: error: initializer element is not constant
    base_ints[0] * 3 * 3,
    ^~~~~~~~~
tests/elementary/efl_ui_model.c:13:4: note: (near initialization for ‘expected_average[0]’)
tests/elementary/efl_ui_model.c:14:4: error: initializer element is not constant
    ((base_ints[0] * 3 + base_ints[1] * 3) * 3) / 2,
    ^
tests/elementary/efl_ui_model.c:14:4: note: (near initialization for ‘expected_average[1]’)
tests/elementary/efl_ui_model.c:15:4: error: initializer element is not constant
    base_ints[0] * 3 + base_ints[1] * 3 + base_ints[2] * 3
    ^~~~~~~~~
tests/elementary/efl_ui_model.c:15:4: note: (near initialization for ‘expected_average[2]’)
Makefile:47459: recipe for target 'tests/elementary/tests_elementary_efl_ui_suite-efl_ui_model.o' failed
make[4]: *** [tests/elementary/tests_elementary_efl_ui_suite-efl_ui_model.o] Error 1
Makefile:55008: recipe for target 'check-am' failed
make[3]: *** [check-am] Error 2
Makefile:54316: recipe for target 'check-recursive' failed
make[2]: *** [check-recursive] Error 1
Makefile:55012: recipe for target 'check' failed
make[1]: *** [check] Error 2
Makefile:3015: recipe for target 'check-recursive' failed
make: *** [check-recursive] Error 1

here is my build fail log with 'make'.
I want to try meson build but it has some issue on my desktop

src/lib/ecore_x/meson.build:109:4: ERROR: Problem encountered: extension Xcomposite not found for X11

it cannot find xcomposite eventhough I can find libxcomposite-dev by apt-file search..

about the error,
it looks like c standard grammer problem.. so maybe meson and make using different c standard?

cedric updated this revision to Diff 19063.Jan 30 2019, 11:27 AM

Rebase and potential remove relocation issue.

SanghyeonLee accepted this revision.Jan 30 2019, 5:18 PM

Looks good to me.

This revision is now accepted and ready to land.Jan 30 2019, 5:18 PM
This revision was automatically updated to reflect the committed changes.